Bug 988719 - Rebrand AS 7 plugin per AS/EAP changes
Rebrand AS 7 plugin per AS/EAP changes
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.8
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks: JON3-28/PM-400/PRODMGT-361
  Show dependency treegraph
 
Reported: 2013-07-26 04:45 EDT by Heiko W. Rupp
Modified: 2013-09-05 06:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: JON3-28/PM-400/PRODMGT-361 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example SQL script that shows how renaming of existing assets may work. (780 bytes, application/octet-stream)
2013-07-26 04:45 EDT, Heiko W. Rupp
no flags Details
Prototype for the installer to check for missing plugins (7.32 KB, patch)
2013-08-24 12:30 EDT, Heiko W. Rupp
no flags Details | Diff

  None (edit)
Description Heiko W. Rupp 2013-07-26 04:45:56 EDT
Created attachment 778704 [details]
Example SQL script that shows how renaming of existing assets may work.

Due to naming changes for the app server formerly known as as7, we need to follow up with that in the plugin.

- the AS7 plugin *jar* name will remain as it is today, so that plugin updates will work.

- The *plugin name* will be changed to something which is independent of any version of EAP or JBAS, e.g. AppServer2012. Any new plugin supporting EAP and JBAS in the future would need a similar independent name. 
- All current resource *type* names which reference "AS7" explicitly would be renamed to remove that reference and replace it with one which is independent of any version of EAP or JBAS, e.g. "Standalone App Server". 
- JBAS related *resource* names would be updated, to remove references to "AS7" and replace them with references to "WildFly". 
- Customers would be required to update any external resources, e.g. CLI scripts, which referred to the old plugin, resource type or resource names
Comment 1 Heiko W. Rupp 2013-08-24 12:30:18 EDT
Created attachment 789884 [details]
Prototype for the installer to check for missing plugins

The Prototype* patch checks for
JDG, GateIn and RHQServer plugin being recorded in the DB and then also present in the rhq.ear/rhq-downloads/rhq-plugins folder (*1) If one is in the DB but not in the plugins folder, the upgrade is aborted.

*1) we should also check the plugins dropbox
Comment 2 Heiko W. Rupp 2013-09-04 04:41:34 EDT
We also need to check for 
- saved searches
- saved dynagroup expressions
which could become invalid.

Note You need to log in before you can comment on or make changes to this bug.